package com.example;

import java.io.IOException;
import java.io.PrintWriter;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = "/test", loadOnStartup = 0)
public class TestServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	
	@PersistenceContext private EntityManager em;
	
	@Override
	public void init( ) throws ServletException {
		super.init( );
		
		// Force loading of JPA provider classes
		em.getProperties( );
	}

	@Override
	protected void doGet( HttpServletRequest request,
			HttpServletResponse response ) throws ServletException, IOException {
		PrintWriter writer = response.getWriter( );
		writer.print( "Done!" );
	}
}
